<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class UpdateCourseRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        $rules = [
            'gear' => 'required',
            'name' => 'required',
            'hour' => 'required|numeric',
            'price' => 'required|numeric',
            'test' => 'required',
        ];

        if($this->input('module1')!='') {
            $rules = array_merge($rules,['module1' => 'required']);
            $rules = array_merge($rules,['mHour1' => 'required|numeric']);
            $rules = array_merge($rules,['mDrive1' => 'required']);
        }
        if($this->input('module2')!='') {
            $rules = array_merge($rules,['module2' => 'required']);
            $rules = array_merge($rules,['mHour2' => 'required|numeric']);
            $rules = array_merge($rules,['mDrive2' => 'required']);
        }
        if($this->input('module3')!='') {
            $rules = array_merge($rules,['module3' => 'required']);
            $rules = array_merge($rules,['mHour3' => 'required|numeric']);
            $rules = array_merge($rules,['mDrive3' => 'required']);
        }
        if($this->input('module4')!='') {
            $rules = array_merge($rules,['module4' => 'required']);
            $rules = array_merge($rules,['mHour4' => 'required|numeric']);
            $rules = array_merge($rules,['mDrive4' => 'required']);
        }
        if($this->input('module5')!='') {
            $rules = array_merge($rules,['module5' => 'required']);
            $rules = array_merge($rules,['mHour5' => 'required|numeric']);
            $rules = array_merge($rules,['mDrive5' => 'required']);
        }

        return $rules;
    }

    public function messages()
    {
        $msg = [
            'gear.required' => 'กรุณาเลือกประเภทเกียร์',
            'name.required' => 'กรุณากรอกชื่อหลักสูตร',
            'hour.required' => 'กรุณากรอกจำนวนชั่วโมง',
            'hour.numeric' => 'กรุณากรอกเป็นตัวเลขเท่านั้น',
            'price.required' => 'กรุณากรอกราคาหลักสูตร',
            'price.numeric' => 'กรุณากรอกเป็นตัวเลขเท่านั้น',
            'test.required' => 'กรุณาเลือกสถานะการสอบใบขับขี่กับโรงเรียน',
        ];

        for($i=1; $i<6; $i++) {
            $module = 'module'.$i;
            if($this->input($module)!='') {
                $msg = array_merge($msg,['module'.$i.'.required' => 'กรุณากรอกวิชาที่ '.$i]);
                $msg = array_merge($msg,['module'.$i.'.numeric' => 'กรุณากรอกเป็นตัวเลขเท่านั้น']);
                $msg = array_merge($msg,['mDrive1.required' => 'กรุณาเลือกมีการขับรถของวิชาที่ '.$i.' หรือไม่']);
            }
        }

        // if($this->input('module3')!='') {
        //     $msg = array_merge($msg,['module3.required' => 'กรุณากรอกวิชาที่ 1']);
        //     $msg = array_merge($msg,['module3.numeric' => 'กรุณากรอกเป็นตัวเลขเท่านั้น']);
        // }

        return $msg;
    }
}
